<?php

namespace App\ViewModels\Loja\LojaProdutoChangeStatusViewModel;

use App\Utils\Entity;

class LojaProdutoChangeStatusViewModel extends Entity {
	protected $id;
	// protected $id_loja;
	// protected $id_produto;
	protected $id_status;
	// protected $criado_por;
	// protected $data_criacao;
	// protected $hora_criacao;
	protected $alterado_por;
	protected $data_alteracao;
	protected $hora_alteracao;

	public static function builder(): LojaProdutoChangeStatusViewModelBuilder {

		return new LojaProdutoChangeStatusViewModelBuilder();

	}
	/**
	 * @return mixed
	 */
	public function getId() {

		return $this->id;
	}


	/**
	 * @return mixed
	 */
	public function getIdStatus() {

		return $this->id_status;
	}


	/**
	 * @return mixed
	 */
	public function getAlteradoPor() {

		return $this->alterado_por;
	}


	/**
	 * @return mixed
	 */
	public function getDataAlteracao() {

		return $this->data_alteracao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraAlteracao() {

		return $this->hora_alteracao;
	}


	/**
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
	}


	/**
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status) {

		$this->id_status = $id_status;
	}


	/**
	 * @param mixed $alterado_por
	 */
	public function setAlteradoPor($alterado_por) {

		$this->alterado_por = $alterado_por;
	}


	/**
	 * @param mixed $data_alteracao
	 */
	public function setDataAlteracao($data_alteracao) {

		$this->data_alteracao = $data_alteracao;
	}


	/**
	 * @param mixed $hora_alteracao
	 */
	public function setHoraAlteracao($hora_alteracao) {

		$this->hora_alteracao = $hora_alteracao;
	}



}

